
TYPO3.Flow - Bug # 33417

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Package
Created: 2012-01-24 Assigned To: Christian Müller
Updated: 2012-03-13 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Affected Flow version: Git master
Subject: kickstart:package does not update .Shortcuts
Description

For some reason the .Shortcuts sub directory for the new package is not created after a new package has been kickstarted. Tested
this with kickstart:actioncontroller --generate-related, but I assume that it's the same with kickstart:package

Related issues:
related to TYPO3.Flow - Feature # 33112: Create .Shortcuts directory if it is... Resolved 2012-01-11

Associated revisions
Revision fec2ff94 - 2012-03-09 22:28 - Christian Müller

[BUGFIX] PackageManager should update .Shortcuts when needed

The PackageManager needs to update the shortcuts when saving
package states. Besides that the PackageManager should ignore
inactive packages when creating shortcuts.

Change-Id: I5160b7b77e539e3bb3d1355776be05e880374de9
Fixes: #33417
Fixes: #34322
Releases: 1.1

History
#1 - 2012-03-09 16:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9518

#2 - 2012-03-09 16:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9518

#3 - 2012-03-09 18:53 - Christian Müller
- Assigned To set to Christian Müller
#4 - 2012-03-09 22:28 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9518

#5 - 2012-03-13 02:38 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fec2ff945c3b1a73e0811637fe4bb2ecbce8e6df.
